version: '3.7'

services:
    mongo:
        build: ./Docker_build/mongo/
        restart: always
        volumes:
            - ./data/:/data/db/
        networks:
            - backend

    mongo_seed:
        build: 
            context: ./
            dockerfile: ./Docker_build/mongo_seed/Dockerfile
        depends_on:
            - mongo
        networks:
            - backend
    
    pm_server:
        build:
            context: ./
            dockerfile: ./Docker_build/pm_server_api/Dockerfile
        environment:
            - SERVER_DEBUG
            - FLASK_ENV
            - MONGO_HOST
            - MONGO_PORT
            - SERVER_URL
            - TOKEN_URL
            - AUTH_URL
        depends_on:
            - mongo
        ports:
            - 8080:8080
        networks:
            - backend
            - frontend

networks:
    backend:
    frontend:
